<div class="clearfix" style="margin-bottom: 20px">
    <div class="pull-right btn-group">
        <a routerLink="/projects/create" class="btn btn-primary">Add Project</a>
    </div>
</div>
<app-box [noPadding]="true" [loading]="projects.loading | async">
    <table class="table table-striped">
        <thead>
        <tr>
            <th>Name</th>
            <th>Repository</th>
            <th>Last build</th>
            <th></th>
        </tr>
        </thead>
        <tbody *ngIf="(projects.projects | async).length else empty">
            <tr *ngFor="let project of projects.projects | async">
                <td><a routerLink="/projects/{{project.id}}">{{project.name}}</a></td>
                <td>{{project.repository}}</td>
                <td>{{project.last_run | format}}</td>
                <td>
                    <div class="btn-group pull-right">
                        <a class="btn btn-default btn-small" routerLink="/projects/{{project.id}}/edit">Edit</a>
                        <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                            <span class="caret"></span>
                            <span class="sr-only">Toggle Dropdown</span>
                        </button>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="/projects{{project.id}}/delete" (click)="deleteProject($event, project)">Delete project</a></li>
                        </ul>
                    </div>
                </td>
            </tr>
        </tbody>
        <ng-template #empty>
            <tbody>
                <tr>
                    <td colspan="4">No Projects configured. <a routerLink="/projects/create">Add new</a></td>
                </tr>
            </tbody>
        </ng-template>
    </table>
</app-box>
